Subject: Re: bug#56393: Actually fix the long lines display bug

From: Gerd Möllmann <[email-masked]>
Date: Fri, 8 Jul 2022 07:59:06 +0200

> On 2022-07-07,, at 20:38 , Gregory Heytings <[email-masked]> wrote:
> 
>> I'd find it easier to read if the if/else were reversed to that the ! isn't needed.
>> 
> 
> I'm not sure what the convention is here (or even if there is a convention).  But my feeling is that it's better to place the "normal" case first, and the exceptional case in the else part.

Ok.  Tastes differ, I guess.

>> Could you please tell in what circumstances the call would not set the variable?  And wouldn't the minot mode print something, also?  In other words, can we remove it more or less safely?  (If the user screws up, all bets are off anyway.)
>> 
> 
> It should always set the variable indeed, but who knows what a user could do if they decide for some reason to override the definition of auto-narrow-mode in their init file?  Setting the narrowing state again here is a cheap safety measure that avoids calling that function again during each redisplay cycle.
> 
> I don't know why the minor mode doesn't print something when it's called from C, but it doesn't.

I think we could use Ffuncall_interactively here to get the message printed.